
/*
  @description: 专家库-完善基本信息-字典信息
  @Modifier: 徐媛媛
  @routerPath:
  @date: 2020/8/25-14:41
*/
import {
  queryAllTBExpertBasePracticeQualification
} from '@/api/expert/expertOccupation' // 获取评标专业 提交
export const expertInfo = {
  data() {
    return {
      queryAllTBExpertList: [],
      dictionaryType: ['titleLevel', 'Education'], // 字典类型
      // 中级 01 高级 02
      titleLevelList: [
        {
          typecode: '01',
          typename: '中级'
        },
        {
          typecode: '02',
          typename: '高级'
        }
      ], // 完善基本信息-职称等级
      EducationList: [] // 完善基本信息-教育经历

    }
  },
  created() {
    this.queryAllTBExpertBase()
    // 获取字典信息
    this.$store.dispatch('getGroupType', this.dictionaryType).then((data) => {
      // 遍历key存储相应的数据
      for (const key in data.bidTypeData) {
        /* 是否有数据*/
        if (data.bidTypeData[key]) {
          this[key] = data.bidTypeData[key]
        }
      }
    })
  },
  methods: {
    queryAllTBExpertBase() {
      queryAllTBExpertBasePracticeQualification().then(res => {
        this.queryAllTBExpertList = res.data
        this.queryAllTBExpertList.map(item => {
          item.typename = item.rpQuTypeName
          item.typecode = item.id
        })
        //  this.queryAllTBExpertBasePracticeQualificationList = res.data
      })
    }

  }
}

